<div class="card my-4">
    <table class="table table-striped">
        <thead>
            <tr class="table-secondary">
                <td colspan="3"><h5>Products</h5></td>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let product of products$ | async">
                <td>{{ product.productName }} | {{ product.productUnit }}</td>
                <td class="text-end">{{ product.price | number:'1.2-2' }}</td>
                <td class="text-end">
                    <button class="btn btn-sm btn-primary text-end" 
                    (click)="addToCart(product)"
                    [disabled]="product.addedToCart">Add to cart</button>
                </td>
            </tr>
        </tbody>
    </table>
</div>